### Enumeration

# Clutter DrawDebugFlag

since: 14

#### Declaration

    flags Clutter.DrawDebugFlag

#### Description

No description available.

Available since: 14

#### Members

`CLUTTER_DEBUG_DISABLE_SWAP_EVENTS`
  No description available.
  - Value: `1`
  - Nickname: `disable-swap-events`
  - Available since: 14
`CLUTTER_DEBUG_DISABLE_CLIPPED_REDRAWS`
  No description available.
  - Value: `2`
  - Nickname: `disable-clipped-redraws`
  - Available since: 14
`CLUTTER_DEBUG_REDRAWS`
  No description available.
  - Value: `4`
  - Nickname: `redraws`
  - Available since: 14
`CLUTTER_DEBUG_PAINT_VOLUMES`
  No description available.
  - Value: `8`
  - Nickname: `paint-volumes`
  - Available since: 14
`CLUTTER_DEBUG_DISABLE_CULLING`
  No description available.
  - Value: `16`
  - Nickname: `disable-culling`
  - Available since: 14
`CLUTTER_DEBUG_DISABLE_OFFSCREEN_REDIRECT`
  No description available.
  - Value: `32`
  - Nickname: `disable-offscreen-redirect`
  - Available since: 14
`CLUTTER_DEBUG_CONTINUOUS_REDRAW`
  No description available.
  - Value: `64`
  - Nickname: `continuous-redraw`
  - Available since: 14
`CLUTTER_DEBUG_PAINT_DEFORM_TILES`
  No description available.
  - Value: `128`
  - Nickname: `paint-deform-tiles`
  - Available since: 14
`CLUTTER_DEBUG_PAINT_DAMAGE_REGION`
  No description available.
  - Value: `256`
  - Nickname: `paint-damage-region`
  - Available since: 14
`CLUTTER_DEBUG_DISABLE_DYNAMIC_MAX_RENDER_TIME`
  No description available.
  - Value: `512`
  - Nickname: `disable-dynamic-max-render-time`
  - Available since: 14
`CLUTTER_DEBUG_PAINT_MAX_RENDER_TIME`
  No description available.
  - Value: `1024`
  - Nickname: `paint-max-render-time`
  - Available since: 14